VST 3.7.1 validator doesn't compile anymore with MSVC /std:c++latest

SDK for VST 3 audio plug-in and host development.
Post Reply
User avatar
lorcan
Posts: 24
Joined: Tue Jun 21, 2016 12:04 pm
Location: France
Contact:

VST 3.7.1 validator doesn't compile anymore with MSVC /std:c++latest

Post by lorcan »

Not a deal breaker but would be nice if it did, as this is going to be C++20.
I was working fine in 3.7.0

Thanks,
Lorcan
Lorcan Mc Donagh | lmdsp audio plug-ins

User avatar
ygrabit
Posts: 199
Joined: Fri Jun 17, 2016 7:52 am
Location: Hamburg
Contact:

Re: VST 3.7.1 validator doesn't compile anymore with MSVC /std:c++latest

Post by ygrabit »

for now the SDK requires C++14...
but for the next update we will check this issue with c++20,
thanks for informing us
YVan Grabit

User avatar
ygrabit
Posts: 199
Joined: Fri Jun 17, 2016 7:52 am
Location: Hamburg
Contact:

Re: VST 3.7.1 validator doesn't compile anymore with MSVC /std:c++latest

Post by ygrabit »

as local fix you could replace in module_win32.cpp all
generic_u8string
by
generic_string
YVan Grabit

Post Reply